Skip to main content
GET
/
apps
/
{appId}
/
events
List Events
curl --request GET \
  --url https://api.vela.dev/v1/apps/{appId}/events \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "evt-uuid",
      "appId": "app-uuid",
      "event": "payment.failed",
      "customer_id": "cust_42",
      "data": {
        "orderId": "ord_1",
        "reason": "card_declined"
      },
      "level": "error",
      "metadata": {
        "env": "production"
      },
      "timestamp": "2024-06-01T12:00:00.000Z",
      "ingestedAt": "2024-06-01T12:00:00.123Z"
    }
  ],
  "nextCursor": "eyJpZCI6ImV2dC11dWlkIn0="
}

Authorizations

Authorization
string
header
required

Client secret for management API access. Format: vela_cs_...

Path Parameters

appId
string
required

App UUID or slug

Query Parameters

level
enum<string>

Filter by level

Available options:
info,
warning,
error,
success
type
string

Filter by event name

from
string<date-time>

Start of time range (ISO-8601)

to
string<date-time>

End of time range (ISO-8601)

limit
integer
default:25

Results per page (max 100)

Required range: x <= 100
cursor
string

Pagination cursor from previous response

Response

200 - application/json

Paginated events

items
object[]
nextCursor
string | null

Cursor for the next page. null when there are no more pages.